GET
/api/gateway/v2/measurement/getallmeasurementtypesettingsGet all available measurementtypesettings
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/measurement/getallmeasurementtypesettings"[ { "id": 0, "measurementTarget": "NotApplicable", "measurementTypeId": 0, "measurementTypeInterfacekey": "string", "measurementTypeDescription": "string", "isDefault": true, "kind": 0, "reference": "string", "correction": 0 }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/measurement/getbyidGet all available measurementtypesettings by MeasurementTypeSettingsID
Query Parameters
id*integer
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/measurement/getbyid?id=0"{ "id": 0, "measurementTarget": "NotApplicable", "measurementTypeId": 0, "measurementTypeInterfacekey": "string", "measurementTypeDescription": "string", "isDefault": true, "kind": 0, "reference": "string", "correction": 0}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/measurement/getallmeasurementtypesGet all available measurementtypes for a licensee
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/measurement/getallmeasurementtypes"[ { "id": 0, "description": "string", "correction": 0.1, "correctionUnit": 0, "isArchived": true, "licenseeId": 0, "remarks": "string", "measurementTarget": 0, "interfaceKey": "string" }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/measurement/getmeasurementtypesbypolygonidGet all available measurementtypesettings for a polygon.
Query Parameters
polygonId?string
The id of the polygon
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/measurement/getmeasurementtypesbypolygonid"{ "widthSettings": [ { "id": 0, "measurementTarget": "NotApplicable", "measurementTypeId": 0, "measurementTypeInterfacekey": "string", "measurementTypeDescription": "string", "isDefault": true, "kind": 0, "reference": "string", "correction": 0 } ], "heightSettings": [ { "id": 0, "measurementTarget": "NotApplicable", "measurementTypeId": 0, "measurementTypeInterfacekey": "string", "measurementTypeDescription": "string", "isDefault": true, "kind": 0, "reference": "string", "correction": 0 } ]}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}